<?php // Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if (!empty($post->post_password)) { // if there's a password
		if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
			?>

			<p class="nocomments">This post is password protected. Enter the password to view comments.</p>

			<?php
			return;
		}
	}

?>
<div id="comment-wrapper">
	<h3 id="comments"><?php comments_number('No Comments', 'One Comment', '% Comments' );?> <small>(including trackbacks)</small></h3>
<?php if ($comments) : ?>
		<div class="leave-comment">
        	<a href="#commentform" title="Leave your comment for this post">Leave a comment</a>
        </div>
<?php $trackbacks = array(); ?>
<?php $comment_count = 0;?>
<?php foreach ($comments as $comment) : ?>
			
		<?php if($comment->comment_type=='trackback' || $comment->comment_type=='pingback'){
						$trackbacks[] = $comment;
		}else {
				$comment_count++;
		?>
		<div class="comments-block" id="comment-<?php comment_ID();?>">
        	<div class="comments-user">
            	
                <?php echo get_avatar( $comment, 32 ); ?>
                
                <div class="commentor-name">
                	<?php comment_author_link() ?>
                    <!--<div class="comment-count">
                    	<?php // echo $comment_count ;?>
                    </div>-->
                    <div  class="clear"></div>
                </div>
                <div style="clear:both;"></div>
            </div>
            <div class="comment-content">
            	<img src="<?php bloginfo('stylesheet_directory');?>/rnd-left-top.png" alt="" height="15" width="15" />
                <div class="comment-content-data">
                <?php if ($comment->comment_approved == '0') : ?>
					<em>Your comment is awaiting moderation.</em>
				<?php endif; ?>
                    <?php comment_text() ?>
                </div>
            	<div class="comment-content-bottom">
                	<img src="<?php bloginfo('stylesheet_directory');?>/rnd-left-bottom.png" alt="" height="15" width="15"/>
                </div>
            </div>
            <div class="comment-date">
            	<a href="#comment-<?php comment_ID() ?>" title="Permanent link for this comment"><?php comment_date('F d, Y') ?></a>
                <?php edit_comment_link('edit','&nbsp;&nbsp;',''); ?>
            </div>
        </div> 
        <?php }?>
  
<?php endforeach; ?>
 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">Comments are closed.</p>

	<?php endif; ?>

<?php endif; ?>

<div id="trackback-wrapper">
	
        	<?php if(count($trackbacks) > 0){ ?>
        <h3 id="trackbacks"><?php echo count($trackbacks);?> Trackbacks/Pingbacks</h3>
            <div class="leave-comment">
        	<a href="#commentform" title="Leave your comment for this post">Leave a comment</a>
        	</div>
            	<ul>
            	<?php foreach ($trackbacks as $trackback){ ?>
            	
        			<li>
            			<a href="<?php echo $trackback->comment_author_url;?>"><?php echo $trackback->comment_author;?></a>
            			<!--<div class="trackback-content">
                			<?php //echo $trackback->comment_content;?>
                        </div>-->
            		</li>
            	
            	<?php } ?>
                </ul>
            <?php } ?>
        </div>
        
<?php if ('open' == $post->comment_status) : ?>

<div id="comment-form-wrapper">
<h3 id="respond">Leave a Reply</h3>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Log out &raquo;</a></p>

<?php else : ?>

<p><input class="textbox" type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author">Name <?php if ($req) echo "(required)"; ?></label></p>

<p><input class="textbox" type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email">Mail (will not be published but <?php if ($req) echo "(required)"; ?></label></p>

<p><input class="textbox" type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url">Website</label></p>

<?php endif; ?>

<p><strong>XHTML:</strong> You can use these tags: </p>
<code><?php echo allowed_tags(); ?></code>
  

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" class="button" type="submit" id="submit" tabindex="5" value="Submit Comment" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>

<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
	</div>
		
    </div>